Story1/urls.py
from django.urls import path
from . import views

app_name = 'Story1'

urlpatterns = [
	path('', views.index , name = 'index'),
	path('story1/', views.index2 , name = 'story1')
]

Story9/urls.py
from django.urls import path
from . import views

app_name = 'Story9'

urlpatterns = [
	path('', views.story9 , name = 'story9'),
	path('signup/', views.user_signup, name = 'signup'),
	path('login/', views.user_login, name = 'login'),
	path('logout/', views.user_logout, name = 'logout')
]

Story_PPW/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('Story1.urls')),
    path('story3/', include('Story3.urls')),
    path('story4/', include('Story4.urls')),
    path('story5/', include('Story5.urls')),
    path('story6/', include('Story6.urls')),
    path('story7/', include('Story7.urls')),
    path('story8/', include('Story8.urls')),
    path('story9/', include('Story9.urls')),
]

Story9/models.py
from django.db import models

# Create your models here.

Story9/views.py
from django.shortcuts import render, redirect, resolve_url
from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.models import User

# Create your views here.


def story9(request):
    return render(request, 'Story9/index.html')


def user_signup(request):
    if (not request.user.is_anonymous):
        return redirect(resolve_url('Story9:story9'))

    context = {
        'error': False
    }

    if (request.method == "POST"):
        user = None
        try:
            user = User.objects.get(username=request.POST['uname'])
        except:
            user == None

        if (user == None):
            new_user = User.objects.create_user(
                request.POST['uname'], '', request.POST['password'])
            new_user.save()
            login(request, new_user)
            return redirect(resolve_url('Story9:story9'))
        else:
            context['error'] = True
            return render(request, 'Story9/signup.html', context)

    return render(request, 'Story9/signup.html', context)


def user_login(request):
    if (request.user.is_authenticated):
        return redirect(resolve_url('Story9:story9'))

    context = {
        'error': False
    }

    if (request.method == "POST"):
        user = authenticate(
            username=request.POST['uname'],
            password=request.POST['password'],
        )

        if (user == None):
            context['error'] = True
            return render(request, 'Story9/login.html', context)
        else:
            login(request, user)
            return redirect(resolve_url('Story9:story9'))

    return render(request, 'Story9/login.html', context)

def user_logout(request):
    logout(request)
    return redirect(resolve_url('Story9:story9'))

Story9/templates/Story9/index.html
{% extends 'base.html' %}
{% load static %}

{% block head %}
<link rel="stylesheet" href="{% static 'Story9/css/style9.css' %}">
{% endblock %}

{% block title %}Story 9{% endblock %}

{% block content %}
{% include 'navbar.html' %}

{% if request.user.is_authenticated %}
<p class="judul text-center mb-4">Hai, {{ user.get_username }}</p>
{% else %}
<p class="judul text-center mb-4">Welcome to my last 'story' </p>
{% endif %}

<div class="fluid-container mycontainer">
    <div class ="row justify-content-center">
        {% if user.is_anonymous %}
        <a href="{% url 'Story9:signup' %}" class="btn btn-dark  btn-lg mx-2" role="button">Sign Up</a>
        <a href="{% url 'Story9:login' %}" class="btn btn-light btn-lg mx-2" role="button">Login</a>
        {% else %}
        <a href="{% url 'Story9:logout' %}" class="btn btn-danger btn-lg mx-2" role="button">Logout</a>
        {% endif %}
        
    </div>
    <div class="row justify-content-center">
        {% if user.is_anonymous %}
        <img src="{% static 'Story9/img/Untitled-1.png' %}" class="" alt="">
        {% else %}
        <img src="{% static 'Story9/img/Untitled-2.png' %}" class="" alt="">
        {% endif %}
    </div>
    
</div>
  
    
{% include 'footer.html' %}

{% endblock %}

Story9/templates/Story9/login.html
{% extends 'base.html' %}
{% load static %}

{% block head %}
<link rel="stylesheet" href="{% static 'Story9/css/style9.css' %}">
{% endblock %}

{% block title %}Login{% endblock %}

{% block content %}
{% include 'navbar.html' %}

{% if error %}
<script>
    window.alert("Username atau Password salah");
</script>
{% endif %}

<div class="fluid-container mycontainer">
    <div class="login-dark">
        <form method="post">
            {% csrf_token %}
            <h2 class="text-center">Login</h2>
            <div class="illustration"><i class="fas fa-lock"></i></div>
            <div class="form-group"><input class="form-control" type="text" name="uname" placeholder="Username"></div>
            <div class="form-group"><input class="form-control" type="password" name="password" placeholder="Password"></div>
            <div class="form-group"><button class="btn btn-primary btn-block" type="submit">Log In</button></div>
            <a href="{% url 'Story9:signup' %}" class="btn btn-light btn-block" role="button">Sign Up</a>

        </form>
    </div>
</div>
  
    
{% include 'footer.html' %}

{% endblock %}

Story9/templates/Story9/signup.html
{% extends 'base.html' %}
{% load static %}

{% block head %}
<link rel="stylesheet" href="{% static 'Story9/css/style9.css' %}">
{% endblock %}

{% block title %}Sign Up{% endblock %}

{% block content %}
{% include 'navbar.html' %}
{% if error %}
<script>
    window.alert("Username sudah ada");
</script>
{% endif %}
<div class="fluid-container mycontainer">
    <div class="login-dark">
        <form method="post">
            {% csrf_token %}
            <h2 class="text-center">Sign Up</h2>
            <div class="illustration"><i class="fas fa-lock"></i></div>
            <div class="form-group"><input class="form-control" type="text" name="uname" placeholder="Username"></div>
            <div class="form-group"><input class="form-control" type="password" name="password" placeholder="Password"></div>
            <div class="form-group"><button class="btn btn-primary btn-block" type="submit">Sign Up</button></div></form>
    </div>
</div>
  
    
{% include 'footer.html' %}

{% endblock %}